Subject: Re: bug#48015: 28.0.50; ELPA package compilation fails

From: Michael Albinus <[email-masked]>
Date: Tue, 27 Apr 2021 21:13:05 +0200

Stefan Monnier <[email-masked]> writes:

>> BTW, maybe one option to circumvent both problems is to replace
>>
>>     (load "tramp" 'noerror 'nomessage)
>>
>> with
>>
>>     (load "tramp-compat" 'noerror 'nomessage)
>>     (load "tramp" 'noerror 'nomessage)
>
> Hmm... no I don't think this will make any difference when
> default-directory is not under the control of Tramp.

Well, I have just pushed this change. It seems to help partly. Emacs
27.2 isn't blocked any longer when installing an incompatible Tramp
version, even when default-directory is remote while installing. It
shows just an error message. And after restarting Emacs,
tramp-recompile-elpa does arrange everything. This is a scenario I could
explain to the users :-)

> Another approach is to add something like
>
>     ;; Reload `tramp-compat` when we reload `tramp-autoloads`.
>     ;;;###autoload (when (featurep 'tramp-compat)
>     ;;;###autoload   (load "tramp-compat"'noerror 'nomessage)
>
> This presumes that the only file that really needs to be reloaded is
> `tramp-compat`.

I'll test this tomorrow. It was a hard day ...

>     Stefan

Best regards, Michael.